# Job Config

#### **TASKS PRICE AND ITEMS CONFIG**

Defines the payout, duration, and item rewards for each job. **Do not change item names** because the escape process depends on them.

```lua
Tasks = {
        poop = { -- Toilet cleaning job
            decraseTime = 5,
            money = 100,
            rewardItems = {
                { name = "prison_rustynail", label = "Rusty Nail", amount = 1 },
                { name = "prison_tornglove", label = "Torn Glove", amount = 1 }
            }
        },
        dish = { -- Dishwashing job
            decraseTime = 10,
            money = 200,
            rewardItems = {
                { name = "prison_soapresidue", label = "Soap Residue", amount = 1 },
                { name = "prison_plateshard", label = "Broken Plate Shard", amount = 1 }
            }
        },
        gym = { -- Gym training job
            decraseTime = 15,
            money = 300,
            rewardItems = {
                { name = "prison_barbellrod", label = "Bent Barbell Rod", amount = 1 },
                { name = "prison_sweatytowel", label = "Sweaty Towel", amount = 1 }
            }
        }
    },
```

***

#### **CLEANING JOB CONFIG**

Configuration for the toilet cleaning job, including models, tools, timing, and cleanup zones.

```lua
poopModel = "prop_big_shit_01", -- Model for dirty spots
    cleaningTool = "prop_tool_broom", -- Tool used for cleaning
    maxPoops = 5, -- Max dirty spots spawned at a time
    cleanupTime = 10000, -- Cleaning duration (ms)
    respawnDelay = 10 * 60 * 10, -- Respawn delay for new dirty spots (ms)
    cleanupZones = { -- Zones where cleaning tasks appear
        { x1 = 1685.0, y1 = 2475.0, z1 = 44.55, x2 = 1695.0, y2 = 2485.0, z2 = 44.55 }
    },
```

***

#### **DISH JOB CONFIG**

Configuration for the dishwashing job, including locations and props.

```lua
washCoords = vector3(1788.6066, 2567.5662, 45.6232), -- Sink location for washing dishes
    cupboardCoords = vector3(1781.3596, 2568.1255, 45.5032), -- Cupboard to store clean dishes
    placedPropCount = 5, -- Number of dishes to place to complete the job
    dishDefinitions = { -- Props used for dishwashing
        {
            model = 'prop_whiskey_glasses',
            coords = vector3(1784.82, 2564.17, 45.59),
            isWashedModel = 'prop_wine_glass',
            offset = vector3(0.13, 0.02, -0.02),
            rotation = vector3(-90.0, 0.0, 90.0),
            bone = 57005 -- Right Hand
        },
        {
            model = 'prop_copper_pan',
            coords = vector3(1782.71, 2565.83, 45.61),
            isWashedModel = 'prop_copper_pan',
            offset = vector3(0.1, 0.0, -0.1),
            rotation = vector3(0.0, 0.0, 0.0),
            bone = 57005
        },
        {
            model = 'prop_kettle',
            coords = vector3(1783.16, 2568.4, 45.53),
            isWashedModel = 'prop_kettle',
            offset = vector3(0.1, 0.0, -0.1),
            rotation = vector3(0.0, 0.0, 0.0),
            bone = 57005
        },
        {
            model = 'prop_foodprocess_01',
            coords = vector3(1785.58, 2568.41, 45.52),
            isWashedModel = 'prop_foodprocess_01',
            offset = vector3(0.1, 0.0, -0.1),
            rotation = vector3(0.0, 0.0, 0.0),
            bone = 57005
        },
        {
            model = 'prop_copper_pan',
            coords = vector3(1781.32, 2563.21, 44.66),
            isWashedModel = 'prop_copper_pan',
            offset = vector3(0.1, 0.0, -0.1),
            rotation = vector3(0.0, 0.0, 0.0),
            bone = 57005
        }
    },
```

***

#### **GYM JOB CONFIG**

Configuration for the gym training job, including outfits, workout spots, and props.

```lua
changeClothesCoords = vector4(1732.0748, 2499.8147, 49.2287, 170.3239), -- Location to change into workout clothes
    SportOutfits = { -- Gym outfit configuration
        male = {
            {
                components = {
                    { component_id = 3, drawable = 15, texture = 0 },  
                    { component_id = 4, drawable = 14, texture = 0 },  
                    { component_id = 6, drawable = 7, texture = 0 },  
                    { component_id = 8, drawable = 15, texture = 0 },  
                    { component_id = 11, drawable = 15, texture = 0 }, 
                    { component_id = 7, drawable = 0, texture = 0 }, 
                    { component_id = 10, drawable = 0, texture = 0 }
                }
            }
        },
        female = {
            {
                components = {
                    { component_id = 3, drawable = 14, texture = 0 },
                    { component_id = 4, drawable = 37, texture = 0 },
                    { component_id = 6, drawable = 4, texture = 0 },
                    { component_id = 8, drawable = 15, texture = 0 },
                    { component_id = 11, drawable = 15, texture = 0 }
                }
            }
        }
    },
    pullupSpots = { -- Pull-up workout spots
        { coords = vector3(1727.3789, 2497.2597, 45.8447), heading = 121.3913 },
        { coords = vector3(1731.7228, 2489.8123, 45.8254), heading = 123.0902 }
    },
    barbellPickupCoords = vector3(1737.94, 2491.54, 45.02), -- Barbell pickup location
    barbellHeading = 261.11,
    barbellModel = "prop_barbell_30kg"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-prison/job-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
